package com.oqpo.api.client.oqlink.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "수발주 메뉴")
@Data
public class OqScmMenuModel {

	@ApiModelProperty(value = "품목아이디", required = true)
	private String itemId;
	@ApiModelProperty(value = "품목명", required = true)
	private String itemNm;
	@ApiModelProperty(value = "메뉴코드", required = true)
	private String menuCd;
	@ApiModelProperty(value = "바코드번호", required = true)
	private String barcodeNo;
	@ApiModelProperty(value = "공급가격", required = true)
	private int supplyPrice;
	@ApiModelProperty(value = "발주단위수량", required = true)
	private int orderUnitQty;
	@ApiModelProperty(value = "발주가능여부", required = true)
	private String orderPossibleYn;

	private String brandCd;
	private String hstNo;
}
